Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 4 Oct 2019 10:45:10 +0000 (UTC)
From:      Peter Holm <pho@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-user@freebsd.org
Subject:   svn commit: r353101 - user/pho/stress2/misc
Message-ID:  <201910041045.x94AjABC072108@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: pho
Date: Fri Oct  4 10:45:10 2019
New Revision: 353101
URL: https://svnweb.freebsd.org/changeset/base/353101

Log:
  Added a regression test.
  
  Submitted by:	Mark Johnston <markj@freebsd.org>
  Sponsored by:	Dell EMC Isilon

Added:
  user/pho/stress2/misc/fcntl3.sh   (contents, props changed)

Added: user/pho/stress2/misc/fcntl3.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/fcntl3.sh	Fri Oct  4 10:45:10 2019	(r353101)
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# Test scenario submitted by Mark Johnston <markj@freebsd.org>
+
+# "Fatal trap 18: integer divide fault while in kernel mode" seen.
+# Reported by syzkaller
+# Fixed by r353010
+
+cat > /tmp/fcntl3.c <<EOF
+#include <err.h>
+#include <fcntl.h>
+#include <unistd.h>
+
+int
+main(void)
+{
+
+	if (fcntl(STDIN_FILENO, F_RDAHEAD) != 0)
+		err(1, "fcntl");
+	return (0);
+}
+EOF
+cc -o /tmp/fcntl3 -Wall -Wextra -O2 /tmp/fcntl3.c || exit 1
+
+echo "Expect: fcntl3: fcntl: Inappropriate ioctl for device"
+/tmp/fcntl3
+
+rm -f /tmp/fcntl3 /tmp/fcntl3.c
+exit 0



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201910041045.x94AjABC072108>